Get sessions for user

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
GET /public/v2/foreman-session

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Query parameters

  • agentType string

    Values are FULL or KB.

  • maxResults integer(int32)

Responses

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • id string(uuid)
    • lastModified string(date-time)
    • projectId integer(int64)
    • subject string
    • agentType string

      Values are FULL or KB.

    • modelId integer(int64)
    • archived boolean
    • scenarioId integer(int64)
GET /public/v2/foreman-session
curl \
 --request GET 'https://live.smartpmtech.com/public/v2/foreman-session' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"
Response examples (200)
[
  {
    "id": "string",
    "lastModified": "2026-05-04T09:42:00Z",
    "projectId": 42,
    "subject": "string",
    "agentType": "FULL",
    "modelId": 42,
    "archived": true,
    "scenarioId": 42
  }
]